| Bsoft 2.0.5 Bernard's software package

Namespaces | Functions
bshow_misc.tcl File Reference

Miscellaneous procedures for Bshow and other scripts. More...

Go to the source code of this file.

## Namespaces
| tk::mac

## Functions
| getControlWindow theimg
| getImageCanvas theimg
| setupControls w
| Creates the right-side controls for image display. More...
| yFlip y
| Flips the display y axis. More...
| imageCoordinatesFromCanvas x y
| Returns the image coordinates given canvas coordinates. More...
| selectColor w
| Selects a color. More...
| setPreferences
| writeSettingsFile
| Saves the settings file .bshow. More...
| getFileName w
| getFileName Edits a file name entry More...
| checkType type val
| setupEntry w name type var desc
| setupCheckEntry w name type var cvar desc
| setupScrollEntry w name var desc
| setupSizeEntry w name type var desc
| setupCheckSizeEntry w name type var cvar desc
| updateCheckSizeEntry w var
| setupNewFileEntry w name newfile desc
| showHelp helpfile
| Opens a text documentation file. More...
| showURL url
| Opens a URL in a web browser. More...
| toolTip w t
| showTip x y args
| hideTip
| updatePixelsize
| Updates the pixel size. More...
| setPixelsize theimg
| Sets the pixel size. More...
| updateOrigins
| Updates the image origins from parameters. More...
| drawOrigin
| Draws the current image origin. More...
| mousePressed c x y
| Update or grabs items closeby whenever the mouse is pressed. More...
| mouseMoved c x y b
| Updates or moves grabbed items whenever the mouse is moved. More...
| mouseReleased c
| Updates grabbed or nearby items whenever the mouse is released. More...
| showCoords
| Displays updated coordinates whenever the mouse is moved. More...
| setFOMcutoff cutoff
| Sets and updates the cutoff FOM. More...
| selectCursor
| Selects a cursor for the canvas window. More...
| configCursor_destroyWindow c w name
| configCursor c name
| canvas2Photo canvId
| capture W format file
| tk::mac::ShowPreferences
| tk::mac::ShowHelp

## Detailed Description

Miscellaneous procedures for Bshow and other scripts.

Author
  Bernard Heymann

Date
  Created: 20010516
  Modified: 20190711

Definition in file bshow_misc.tcl.

## Function Documentation

## ◆ canvas2Photo()

canvas2Photo |  |  | canvId

Definition at line 1051 of file bshow_misc.tcl.

## ◆ capture()

capture |  |  | W format file

Definition at line 1061 of file bshow_misc.tcl.

## ◆ checkType()

checkType |  |  | type val

Definition at line 468 of file bshow_misc.tcl.

## ◆ configCursor()

configCursor |  |  | c name

Definition at line 1029 of file bshow_misc.tcl.

## ◆ configCursor_destroyWindow()

configCursor_destroyWindow |  |  | c w name

Definition at line 1024 of file bshow_misc.tcl.

## ◆ drawOrigin()

drawOrigin

Draws the current image origin.

Definition at line 745 of file bshow_misc.tcl.

## ◆ getControlWindow()

getControlWindow |  |  | theimg

Definition at line 47 of file bshow_misc.tcl.

## ◆ getFileName()

getFileName |  |  | w

getFileName Edits a file name entry

Parameters

  w | the entry window

Definition at line 459 of file bshow_misc.tcl.

## ◆ getImageCanvas()

getImageCanvas |  |  | theimg

Definition at line 55 of file bshow_misc.tcl.

## ◆ hideTip()

hideTip

Definition at line 642 of file bshow_misc.tcl.

## ◆ imageCoordinatesFromCanvas()

imageCoordinatesFromCanvas |  |  | x y

Returns the image coordinates given canvas coordinates.

Parameters

  x |
  y | Canvas coordinates.

Definition at line 154 of file bshow_misc.tcl.

## ◆ mouseMoved()

mouseMoved |  |  | c x y b

Updates or moves grabbed items whenever the mouse is moved.

Parameters

  c | Canvas object.
  x |
  y | Coordinates on the canvas.
  b | button pressed.

Definition at line 815 of file bshow_misc.tcl.

## ◆ mousePressed()

mousePressed |  |  | c x y

Update or grabs items closeby whenever the mouse is pressed.

Parameters

  c | Canvas object.
  x |
  y | Coordinates on the canvas.

Definition at line 779 of file bshow_misc.tcl.

## ◆ mouseReleased()

mouseReleased |  |  | c

Updates grabbed or nearby items whenever the mouse is released.

Parameters

  c | Canvas object.

Definition at line 870 of file bshow_misc.tcl.

## ◆ selectColor()

selectColor |  |  | w

Selects a color.

Parameters

  w | parent window

Definition at line 171 of file bshow_misc.tcl.

## ◆ selectCursor()

selectCursor

Selects a cursor for the canvas window.

Definition at line 969 of file bshow_misc.tcl.

## ◆ setFOMcutoff()

setFOMcutoff |  |  | cutoff

Sets and updates the cutoff FOM.

Parameters

  cutoff | FOM cutoff value.

Definition at line 959 of file bshow_misc.tcl.

## ◆ setPixelsize()

setPixelsize |  |  | theimg

Sets the pixel size.

theimg Image identifier.

Definition at line 680 of file bshow_misc.tcl.

## ◆ setPreferences()

setPreferences

Definition at line 188 of file bshow_misc.tcl.

## ◆ setupCheckEntry()

setupCheckEntry |  |  | w name type var cvar desc

Definition at line 486 of file bshow_misc.tcl.

## ◆ setupCheckSizeEntry()

setupCheckSizeEntry |  |  | w name type var cvar desc

Definition at line 522 of file bshow_misc.tcl.

## ◆ setupControls()

setupControls |  |  | w

Creates the right-side controls for image display.

Parameters

  w | Control window.

Definition at line 73 of file bshow_misc.tcl.

## ◆ setupEntry()

setupEntry |  |  | w name type var desc

Definition at line 476 of file bshow_misc.tcl.

## ◆ setupNewFileEntry()

setupNewFileEntry |  |  | w name newfile desc

Definition at line 543 of file bshow_misc.tcl.

## ◆ setupScrollEntry()

setupScrollEntry |  |  | w name var desc

Definition at line 496 of file bshow_misc.tcl.

## ◆ setupSizeEntry()

setupSizeEntry |  |  | w name type var desc

Definition at line 509 of file bshow_misc.tcl.

## ◆ showCoords()

showCoords

Displays updated coordinates whenever the mouse is moved.

Definition at line 909 of file bshow_misc.tcl.

## ◆ showHelp()

showHelp |  |  | helpfile

Opens a text documentation file.

Parameters

  helpfile | File name.

Definition at line 558 of file bshow_misc.tcl.

## ◆ showTip()

showTip |  |  | x y args

Definition at line 636 of file bshow_misc.tcl.

## ◆ showURL()

showURL |  |  | url

Opens a URL in a web browser.

Parameters

  url | URL.

Definition at line 592 of file bshow_misc.tcl.

## ◆ toolTip()

toolTip |  |  | w t

Definition at line 627 of file bshow_misc.tcl.

## ◆ updateCheckSizeEntry()

updateCheckSizeEntry |  |  | w var

Definition at line 535 of file bshow_misc.tcl.

## ◆ updateOrigins()

updateOrigins

Updates the image origins from parameters.

Definition at line 696 of file bshow_misc.tcl.

## ◆ updatePixelsize()

updatePixelsize

Updates the pixel size.

Definition at line 658 of file bshow_misc.tcl.

## ◆ writeSettingsFile()

writeSettingsFile

Saves the settings file .bshow.

Definition at line 308 of file bshow_misc.tcl.

## ◆ yFlip()

yFlip |  |  | y

Flips the display y axis.

Parameters

  y | Canvas y value.

Definition at line 143 of file bshow_misc.tcl.